extends ../layouts/navbar
include ../components/successerrorbox
include ../components/endbeforestartvalidation
include ../components/inputlengthvalidation

block content
    h1 Create Course
    +successerror(sucmsg, errmsg)

    form(action='/course/add', method='post', novalidate=true).needs-validation
        .form-group.required
            label(for='coursecode') Course Code
            input.form-control#coursecode(type='text', placeholder='Course Code (e.g CZ2001)', required=true, name='code', maxlength=50)
            div.invalid-feedback Requires Course Code
        .form-group.required
            label(for='name') Course Name
            input.form-control#name(type='text', placeholder='Course Name', required=true, name='name')
            div.invalid-feedback Course Name is required
        table.table.table-borderless
            tr
                td.p-0.pr-2
                    .form-group.required
                        label(for='startdate') Start Date
                        input.form-control#startdate(type='date', placeholder='mm/dd/yyyy', required=true, name='startdate')
                        div.invalid-feedback Please set start date of course
                td.p-0
                    .form-group
                        label(for='enddate') End Date
                        input.form-control#enddate(type='date', placeholder='mm/dd/yyyy', name='enddate')
                        small#enddateHelp.form-text.text-muted Can be empty for permenant course
                        div.invalid-feedback Start date cannot be before End Date
                    .form-group.form-inline
                        .form-check
                            input.form-control#noend(type='checkbox', name='noend')
                            label.form-check-label.ml-2(for='noend') No End Date
        button.btn.btn-primary(type='submit') Create Course
        a.btn.btn-danger.ml-2(href='/course/list') Cancel

        include ../meta/datepicker
        +endBeforeStartValidation('startdate', 'enddate', 'End Date cannot be before Start Date', 'noend')
        include ../meta/formvalidation
        +lengthvalidation('#coursecode')
